1 Reply Latest reply on Jun 18, 2003 4:25 AM by Jon Barnett

    cant start jboss 3.2.1 binaries on win2k

    y2rayk Newbie

      all i did was download and ran run.bat
      I am using sun's jdk 1.3.1. I believe that all the environment variables are set properly. Here is the dump of my run.bat

      ===============================================================================
      .
      JBoss Bootstrap Environment
      .
      JBOSS_HOME: C:\Documents and Settings\ray.PIKACHU\Desktop\jboss\
      .
      JAVA: c:\jdk1.3.1_06\bin\java
      .
      JAVA_OPTS: -Dprogram.name=run.bat
      .
      CLASSPATH: c:\jdk1.3.1_06\lib\tools.jar;C:\Documents and Settings\ray.PIKACHU\
      Desktop\jboss\run.jar
      .
      ===============================================================================
      .
      Failed to boot JBoss:
      java.lang.ClassNotFoundException: org.jboss.system.server.ServerImpl
      at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(URLClassLoader.java:183)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:294)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:250)
      at org.jboss.system.server.ServerLoader.createServer(ServerLoader.java:2
      41)
      at org.jboss.system.server.ServerLoader.load(ServerLoader.java:224)
      at org.jboss.Main.boot(Main.java:142)
      at org.jboss.Main$1.run(Main.java:388)
      at java.lang.Thread.run(Thread.java:479)


      And thats it. Please help me. Your assistance is greatly appreciated.

        • 1. Re: cant start jboss 3.2.1 binaries on win2k
          Jon Barnett Master

          There have been reports that people have been encountering problems trying to run 3.2.x against 1.3.x JDKs so you may want to upgrade.

          Also, there are various problems caused by running Java server software in directory paths that contain spaces. A lot of the networking, JNDI and RMI systems break. This is related to the underlying implementation of Sun interfaces that must co-operate with the native OS.

          I would try those changes first. It would be easiest to move the installation first if you still want to try running under Java 2 JDK 1.3.x.